/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfigFile.java 7648 2011-02-01 16:03:06Z jlegrand $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

import java.util.Date;

/**
 *
 * @author Philippe Durieux
 *
 */
public class ConfigFile {

    /**
     * the time that the file was last modified.
     */
    private Date date;

    /**
     * Directory
     */
    private String directory = "";

    /**
     * Name of the file
     */
    private String name = "";

    /**
     * Size of the file
     */
    private long size = 0;

    /**
     * File Separator, depending on the OS
     */
    private String separator;

    public ConfigFile() {
    }

    public void setDate(final Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    public void setDirectory(final String directory) {
        this.directory = directory;
    }

    public String getDirectory() {
        return directory;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setSize(final long size) {
        this.size = size;
    }

    public long getSize() {
        return size;
    }

    public void setSeparator(final String separator) {
        this.separator = separator;
    }

    public String getSeparator() {
        return separator;
    }

}
