/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SerieResult.java 7648 2011-02-01 16:03:06Z jlegrand $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Value Object representing a Serie results
 * @author durieuxp
 */
public class SerieResult implements Serializable {

    private static final long serialVersionUID = 1L;

    // unique ident
    protected String id;

    // name
    protected ArrayList<EventData> results;

    /**
     * This constructor is needed for granite:
     * called to rebuild object from the as object.
     */
    public SerieResult() {
    }

    public String getId() {
        return id;
    }

    public void setId(final String s) {
        id = s;
    }

    public ArrayList<EventData> getResults() {
        return results;
    }

    public void setResults(final ArrayList<EventData> s) {
        results = s;
    }


}
